#ifndef KSAT_MODEL_2_BSON
#define KSAT_MODEL_2_BSON

#include "util/convert.h"
#include "util/ksatinstance.h"

#include "bsoncxx/array/value.hpp"
#include "bsoncxx/builder/stream/array.hpp"

namespace satlab
{

template<typename = bsoncxx::builder::stream::array, typename = KSATinstance::MODEL>
void convert(bsoncxx::builder::stream::array& builder, const KSATinstance::MODEL& model)
{
    builder.clear();
    
    for(auto& lit : model)
    {
        builder << lit;
    }
}

}

#endif // KSAT_MODEL_2_BSON
